/******************************************************************************
 *
 * Copyright (c) 2004 PalmSpace/Sembe.
 *				All rights reserved.
 *
 * File: PsLinkPlugin.h
 *
 * History:
 *		Feb 21, 2004	Created by sembe
 *
 *****************************************************************************/

#ifndef _PSLINKPLUGIN_H_
#define _PSLINKPLUGIN_H_


/***********************************************************************
 *
 *	Plugin Parameter
 *
 ***********************************************************************/
#define PsLinkTPlugins			'PlPi'
#define	SupportCreator			appFileCreator

#ifndef _PSLINK_H_
#define MAXLEN_LINKSTRING		200
#endif

typedef struct {
	UInt32	creator;
	Char	dbName[dmDBNameLength];
	Char	string[MAXLEN_LINKSTRING + 1];
} PluginParamsType;

typedef enum {
	PsLinkAppLaunchCmd = sysAppLaunchCmdCustomBase + 1,
	PsLinkAppLaunchSupportCmd
} PluginLaunchCmd;

typedef enum {
	FAIL = 0,
	SUCCESS
} PluginResultType;


#endif
