/******************************************************************************
 *
 * Copyright (c) 2004 PalmSpace/Sembe.
 *				All rights reserved.
 *
 * File: PsLink.h
 *
 * History:
 *		Dec 29, 2003	Created by sembe
 *
 *****************************************************************************/

#ifndef _LINKACTION_H_
#define _LINKACTION_H_

/***********************************************************************
 *
 *	Internal Constants
 *
 ***********************************************************************/
#define linkStackPrefID			0x00
#define linkStackPrefVersionNum	0x00

#define MAXLINK					10

typedef struct
{
	UInt16	appCardNo;
	LocalID	appID;
	UInt16	dataCardNo;
	LocalID	dataID;
	UInt32	uniqueID;
} LinkParamsType;

typedef struct 
{
	LinkParamsType	linkedApp;
	LinkParamsType	linkstack[MAXLINK];
	UInt16			linkstackindex;
	UInt16			linkstackmax;
} LinkStackType;

typedef enum {
	LINKJUMP,
	LINKFAIL,
	LINKFORWARD,
	LINKBACKWARD
} LinkActionType;


/***********************************************************************
 *
 * Function Prototypes
 *
 ***********************************************************************/
void	SaveLinkedDBInfo (UInt32 creator, UInt16 appCardNo, LocalID appID, UInt16 dbCardNo, LocalID dbID, UInt16 recordNum);
Boolean JumpApp (LinkActionType action);
Boolean LinkAction (LinkActionType action, Char *linkString);


#endif
